> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 빠른 시작

> 포스트에 달린 답글 숨기기 및 숨김 해제

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

이 가이드는 여러분이 시작한 대화에서 포스트에 대한 답글을 숨기고 다시 표시하는 방법을 단계별로 안내합니다.

<Note>
  **사전 준비 사항**

  시작하기 전에 다음이 필요합니다:

  * 승인이 완료된 App이 있는 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * User Access Token (OAuth 1.0a 또는 OAuth 2.0 PKCE)
</Note>

***

<div id="hide-a-reply">
  ## 답글 숨기기
</div>

<Steps>
  <Step title="숨기려는 답글의 게시물 ID 찾기" icon="message">
    숨기려는 답글의 게시물 ID를 확인합니다. 인증된 사용자가 시작한 대화에 달린 답글만 숨길 수 있습니다.

    ```
    https://x.com/user/status/1232720193182412800
                              └── 이 부분이 게시물 ID입니다
    ```
  </Step>

  <Step title="숨기기 요청 보내기" icon="eye-slash">
    <CodeGroup dropdown>
      ```bash cURL theme={null}
      curl -X PUT "https://api.x.com/2/tweets/1232720193182412800/hidden" \
        -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{"hidden": true}'
      ```

      ```python Python SDK theme={null}
      from xdk import Client
      from xdk.oauth1_auth import OAuth1

      oauth1 = OAuth1(
          api_key="YOUR_API_KEY",
          api_secret="YOUR_API_SECRET",
          access_token="YOUR_ACCESS_TOKEN",
          access_token_secret="YOUR_ACCESS_TOKEN_SECRET"
      )

      client = Client(auth=oauth1)

      # 답글 숨기기
      response = client.posts.hide_reply("1232720193182412800", hidden=True)
      print(f"Hidden: {response.data.hidden}")
      ```

      ```javascript JavaScript SDK theme={null}
      import { Client, OAuth1 } from "@xdevplatform/xdk";

      const oauth1 = new OAuth1({
        apiKey: "YOUR_API_KEY",
        apiSecret: "YOUR_API_SECRET",
        accessToken: "YOUR_ACCESS_TOKEN",
        accessTokenSecret: "YOUR_ACCESS_TOKEN_SECRET",
      });

      const client = new Client({ oauth1 });

      // 답글 숨기기
      const response = await client.posts.hideReply("1232720193182412800", {
        hidden: true,
      });
      console.log(`Hidden: ${response.data?.hidden}`);
      ```
    </CodeGroup>
  </Step>

  <Step title="답글이 숨겨졌는지 확인" icon="check">
    ```json theme={null}
    {
      "data": {
        "hidden": true
      }
    }
    ```

    이제 해당 답글은 기본 대화 보기에서 숨겨집니다. 사용자는 "숨겨진 답글 보기"를 클릭하여 여전히 확인할 수 있습니다.
  </Step>
</Steps>

***

<div id="unhide-a-reply">
  ## 숨겨진 답글 다시 표시하기
</div>

숨겨진 답글을 다시 표시하려면:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl -X PUT "https://api.x.com/2/tweets/1232720193182412800/hidden" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"hidden": false}'
  ```

  ```python Python SDK theme={null}
  from xdk import Client
  from xdk.oauth1_auth import OAuth1

  oauth1 = OAuth1(
      api_key="YOUR_API_KEY",
      api_secret="YOUR_API_SECRET",
      access_token="YOUR_ACCESS_TOKEN",
      access_token_secret="YOUR_ACCESS_TOKEN_SECRET"
  )

  client = Client(auth=oauth1)

  # 숨겨진 답글 다시 표시하기
  response = client.posts.hide_reply("1232720193182412800", hidden=False)
  print(f"Hidden: {response.data.hidden}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client, OAuth1 } from "@xdevplatform/xdk";

  const oauth1 = new OAuth1({
    apiKey: "YOUR_API_KEY",
    apiSecret: "YOUR_API_SECRET",
    accessToken: "YOUR_ACCESS_TOKEN",
    accessTokenSecret: "YOUR_ACCESS_TOKEN_SECRET",
  });

  const client = new Client({ oauth1 });

  // 숨겨진 답글 다시 표시하기
  const response = await client.posts.hideReply("1232720193182412800", {
    hidden: false,
  });
  console.log(`Hidden: ${response.data?.hidden}`);
  ```
</CodeGroup>

**응답:**

```json theme={null}
{
  "data": {
    "hidden": false
  }
}
```

***

<div id="important-notes">
  ## 중요한 사항
</div>

<Note>
  * 사용자가 시작한 대화에 대한 답글만 숨길 수 있습니다
  * 숨김 처리된 답글은 여전히 "숨겨진 답글 보기"를 통해 볼 수 있습니다
  * 답글 작성자는 자신의 답글이 숨겨져도 알림을 받지 않습니다
</Note>

***

<div id="next-steps">
  ## 다음 단계
</div>

<CardGroup cols={2}>
  <Card title="주제별 관리" icon="tags" href="/ko/x-api/posts/hide-replies/integrate/manage-replies-by-topic">
    주제나 콘텐츠에 따라 댓글을 관리하세요
  </Card>

  <Card title="실시간 모더레이션" icon="bolt" href="/ko/x-api/posts/hide-replies/integrate/manage-replies-in-realtime">
    댓글이 달리는 즉시 모더레이션하세요
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/hide-reply">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
